/* http://meyerweb.com/eric/tools/css/reset/
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
	line-height: 1.125em;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
  font-family: Arial, sans-serif;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/*css reset end*/

/*educaixa styles*/

#content {
  width: 740px;
  height: 530px;
  background-color: #fff;
  position: absolute;
  margin: auto;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  box-shadow: 1px 1px 2px #cccccc, 0 0 25px #cccccc, 0 0 5px #cccccc;
}

.theserif{
	font-family: 'theserif', georgia, serif;
}

.animation-border {
  width: 740px;
  height: 60px;
  background-color: #fff;
  position: relative;
  z-index: 10000;
  font-family: 'theserif', georgia, serif;
}

.top-logo {
  width: 160px;
  height: 60px;
  left: 0;
  position: absolute;
}

.top-title {
  width: 740px;
  height: 60px;
  text-align: center;
  position: absolute;
  padding-top: 20px;
}

.top-type {
  width: 90px;
  height: 60px;
  right: 0;
  padding-top: 9px;
  font-size: 13px;
  line-height: 13px;
  color: #666;
  position: absolute;
}

.top-icon {
  width: 60px;
  height: 50px;
  right: 100px;
  border-right: 1px dotted #666;
  margin-top: 5px;
  position: absolute;
}

FOOTER.animation-border {
  position: absolute;
  bottom: 0px;
}

.logo-irsicaixa {
  position: absolute;
  top: 0;
  left: 0;
}

.logo-footer {
  position: absolute;
  left: 300px;
}

.credits {
  position: absolute;
  width: 60px;
  height: 50px;
  left: 660px;
  margin-top: 11px;
}

.round-button {
  font-family: 'thesans', arial;
  font-size: 14px;
  font-weight: bold;
  text-align: center;
  color: #f5f5f5;
  text-decoration: none;
  display: block;
  width: 35px;
  height: 35px;
  line-height: 35px;
  border: 2px solid #f5f5f5;
  border-radius: 50%;
  background: #bbb;
  box-shadow: 0 0 5px grey;
  cursor: pointer;
}

#credits {
  display: block;
  background: rgba(255, 255, 255, 1);
  z-index: 1000;
  position: absolute;
  width: 100%;
  height: 0;
  bottom: 0;
	-webkit-transition: height 1s;
	-moz-transition: height 1s;
	-o-transition: height 1s;
  transition: height 1s;
	transition-delay: 1s;
}

#credits.open{
	height:100%;
	transition-delay: 0s;
}

.credits-wrapper{
	margin: auto;
}

.credits-text{
	margin: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
	text-align: center;
	font-family: 'thesans',arial;
	font-size: 16px;
	line-height: 1.2em;
	color: #000;
	opacity: 0;
	-webkit-transition: opacity 1s;
	-moz-transition: opacity 1s;
	-o-transition: opacity 1s;
  transition: opacity 1s;
	transition-delay: 0s;
}

#credits.open .credits-text{
	opacity: 1;
	transition-delay: 1s;
}

.credits-text h2{
	font-size: 11px;
	color: #666;
	font-weight: normal;
	margin-top: -18px;
}

.credits-text p{
	font-size: 15px;
  line-height: 20px;
	display: block;
	margin-block-start: 1em;
	margin-block-end: 1em;
	margin-inline-start: 0px;
	margin-inline-end: 0px;
}

.credits-text p strong{
	font-weight: bold;
}

/* interactive styles*/

@media
(-webkit-min-device-pixel-ratio: 2),
(min-resolution: 192dpi) {
		.textbox-container, .textbox.image, .sliderbox, .textinputbox, .videobox-container, .buttonsbox, .labelbox-container{
			transform: matrix(1, 0, 0, 1, 0, 0) !important;
		}
}

.modal-background{
	position: absolute;
	top: 0;
	left: 0;
  width: 100%;
  height: 100%;
  background: rgba(100,100,100,0.8);
}

.textbox{
  color: white;
  background-color: rgba(0,0,0,0.7);
  border-radius: 10px;
  padding: 17px 20px;
  box-sizing: border-box;
  margin-bottom: 5px;
  font-size: 15px;
}

.sliderbox .textbox, .textinputbox .textbox{
	padding: 10px;
}

.textbox h2{
  text-transform: uppercase;
  color: #00FFCC;
  font-weight: bold;
  font-family: Arial Narrow, Arial, sans-serif;
	margin-bottom: 1em;
}

.textbox a{
	color: #00FFCC;
	text-decoration: none;
}

.textbox a:hover{
	text-decoration: underline;
}

.textbox .multi_wrong{
	color: red;
}

.textbox b{
	font-weight: bold;
}

.textbox .mcq{
	padding: 1em 0;
}

.textbox .mcq span.mcq-option{
	display: block;
	padding: 0.2em 0;
}

.headbox .textbox{
	border-radius: 0 0 10px 10px;
	font-size: 14px;
}

.headbox .textbox h2, .sliderbox .textbox h2, .textinputbox .textbox h2{
	margin-bottom: 0;
}

.videobox{
	background-color: rgba(0,0,0,0);
  border-radius: 10px;
}

.videobox video{
	width: 100%;
	border-radius: 10px;
}

.labelbox-container{
	z-index: 999;
}

.labelbox {
	position: absolute;
	bottom: 7px;
	color: white;
  background-color: rgba(0,0,0,0.7);
  border-radius: 10px;
  padding: 5px 10px;
  box-sizing: border-box;
  font-size: 12px;
	text-align: center;
	min-width: 100px;
}

.labelbox-image .labelbox{
	height: 150px;
	min-width: 150px;
	background-repeat: no-repeat;
	background-position: center 5px;
}

.labelbox-image .labelbox .labelbox-title{
	position: absolute;
	bottom: 5px;
	left: 0;
	display: block;
	width: 100%;
	text-align: center;
}

.labelbox.center{
	transform: translate(-50%, 0);
}

.labelbox:after {
	content: '';
	position: absolute;
	bottom: 0;
	width: 0;
	height: 0;
	border: 7px solid transparent;
	border-top-color: rgba(0,0,0,0.7);
	border-bottom: 0;
	margin-left: -7px;
	margin-bottom: -7px;
}

.labelbox.center:after{
	left: 50%;
}

.text-button{
  text-transform: uppercase;
  font-size: 12px;
  font-weight: bold;
  border-radius: 7px;
  background: linear-gradient(to top, rgba(0,0,0,0.7) 0%,rgba(150,150,150,0.7) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  padding: 3px 15px;
  color:#FFFFFF;
  box-sizing: border-box;
  font-family: Arial Narrow, Arial, sans-serif;
  font-size: 13px;
}

.buttons{
	padding: 0 3px;
}

.buttons .text-button{
	display: inline-block;
	float: right;
	margin: 0 3px;
}

.text-button:hover{
  color: rgba(0, 255, 204, 1);
  cursor: pointer;
}

.input-container{
	position: relative;
}

input[type=range] {
  -webkit-appearance: none;
	appearance: none;
  width: 100%;
	height: 16px;
	outline: none;
	border: 2px solid white;
	border-radius: 14px;
  background: transparent;
	box-sizing: border-box;
}

/* The slider handle (use -webkit- (Chrome, Opera, Safari, Edge) and -moz- (Firefox) to override default look) */
input[type=range]::-webkit-slider-thumb {
  -webkit-appearance: none; /* Override default look */
  appearance: none;
  width: 16px; /* Set a specific slider handle width */
  height: 16px; /* Slider handle height */
  background: white;
	border: 2px solid white;
	border-radius: 21px;
  cursor: pointer; /* Cursor on hover */
	box-sizing: border-box;
}

input[type=range]::-moz-range-thumb {
	width: 16px; /* Set a specific slider handle width */
  height: 16px; /* Slider handle height */
  background: white;
	border: 2px solid white;
	border-radius: 21px;
  cursor: pointer; /* Cursor on hover */
	box-sizing: border-box;
}

.output-container{
  position: relative;
  margin-left: 11px;
  margin-right: 7px;
}

output {
  position: absolute;
	display: none;
}

output.labelbox{
	bottom: 23px;
	background: #333333;
	border-top-color: #333333;
	min-width: auto;
}

output.labelbox:after{
	border-top-color: #333333;
}

input[type=text]{
	width:100%;
	border: none;
	background: white;
	padding:3px;
	box-sizing: border-box;
}

.progress-bar {
  display: flex;
  flex-wrap: nowrap;
  width: 100%;
}

.progress-bar .progress-item {
  background: linear-gradient(to top, rgba(0,0,0,0.7) 0%,rgba(150,150,150,0.7) 100%);
  width: 100%;
  border-left: 1px solid rgba(255,255,255,0.2);
  text-align: left;
  font-size: 12px;
  white-space:nowrap;
  padding: 4px 3px;
  color: #FFFFFF;
  font-size: 12px;
}

.progress-bar .progress-item:first-child {
  border-left: 0;
}

.progress-bar .progress-item:first-child, .progress-bar .progress-item:last-child {
  flex: 1;
}

.progress-bar .progress-item.active{
	background: linear-gradient(to top, rgba(0,0,0,0.7) 0%,rgba(0, 255, 204,0.7) 100%);
}

.progress-bar .audiobutton{
	width: 16px;
	height: 16px;
	background-image: url("../images/AudioOn.svg");
	display: inline-block;
	background-repeat:no-repeat;
}

.progress-bar .audiobutton.mute{
	background-image: url("../images/AudioOff.svg");
	background-repeat:no-repeat;
}

.progress-bar .helpbutton{
	width: 16px;
	height: 16px;
	margin-left: 3px;
	background-image: url("../images/Help.svg");
	display: inline-block;
	background-repeat:no-repeat;
}

.progress-bar .helpbutton.hidden{
	display: none;
}

.progress-bar .helpbutton.showhelp{
	background-image: url("../images/HelpOff.svg");
}

#dom_overlay_container div{
	-webkit-mask-image: -webkit-radial-gradient(circle, white 100%, black 100%);
	-webkit-transform: rotate(0.000001deg);
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	overflow: hidden;
}

.play-button{
		background-image:url("../images/PlayButton.svg");
    background-repeat:no-repeat;
    width:20%;
    height:20%;
    position:absolute;
    left:0%;
    right:0%;
    top:0%;
    bottom:0%;
    margin:auto;
    background-size:contain;
    background-position: center;
}

.close-button{
	background-image:url("../images/CloseButton.svg");
	background-repeat:no-repeat;
	width: 24px;
	height: 24px;
	background-size:contain;
	background-position: center;
	color: rgba(0,0,0,0);
	margin-top:5px;
	margin-right:5px;
}
